/* These styles are intended to be used for sites utilitizing OneTrust's autoblocking feature, in conjunction with bjuclickwrap-auto.js */

/* If the iframe was already wrapped inside the 'youtube_container' class from bju.edu */
.youtube_container {
  width: 100%;
  padding-top: 56.25%;
  position: relative;
  margin-bottom: 1.5em;
}
.youtube_container:has(div.bju-autoblock-wrapper) {
  padding-top: 0; /* Remove the youtube_container's height if there is also an autoblock wrapper */
}
.youtube_container iframe {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
}

/* BEGIN GENERAL STYLES FOR AUTOBLOCK  */
.bju-autoblock-wrapper {
  background-color: #d2d4df;
  display: flex;
  align-items: center;
  position: relative;
  margin-bottom: 1.5 rem;
}
.bju-autoblock-wrapper::before {
  display: block;
  content: '';
  padding-bottom: 56.25%;
  width: 0;
  height: 0;
}
.bju-autoblock-iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.bju-autoblock-warning {
  background-color: rgba(240, 246, 255, 0.9);
  text-align: center;
  padding: 1.5rem;
  padding-top: 4rem;
  width: 100%;
}
.bju-autoblock-warning > * {
  max-width: 38rem;
  margin-left: auto;
  margin-right: auto;
}
/*Hide the iframe when it doesn't have a src attribute (cookies blocked)*/
.bju-autoblock-iframe:not([src]) {
  display: none !important;
}
/*Hide the autoblock warning when the iframe gets a src attribute (cookies accepted)*/
.bju-autoblock-iframe[src] + .bju-autoblock-warning {
  display: none !important;
}
/*Hide the autoblock wrapper when Elementor adds a video element as a sibling (cookies accepted)*/
/*On non-Elementor sites, the autoblock wrapper remains visible because the iframe loads inside it; Elementor instead adds a new iframe next to the autoblock wrapper*/
.bju-autoblock-wrapper:has(+ .elementor-video[src]) {
  display: none !important;
}
.invisible-important {
  display: none !important;
}

/* END GENERAL STYLES FOR AUTOBLOCK  */


/* BEGIN SITE-SPECIFIC STYLES FOR AUTOBLOCK  */

/* For alumni.bju.edu */
.bju-autoblock-button.bjualumni {
  padding: 0.5rem 1.5rem 0.5rem 1.5rem;
  color: #ffffff;
  background-color: #00b5ef;
  font-size: 22px;
  font-weight: 400;
  font-family: "Source Sans Pro", 'Source Sans Pro-Roboto', 'Source Sans Pro-Verdana', sans-serif;
}
.bju-autoblock-button.bjualumni:hover {
  color: #001b41;
}

/* For today.bju.edu */
.bju-autoblock-button.bjutoday {
  color: #00bff0 !important;
  text-decoration: none !important;
  font-size: 24px !important;
}
.bju-autoblock-button.bjutoday:hover {
  color: white !important;
}

/* For semianry.bju.edu */
.bju-autoblock-button.bjuseminary {
  background-color: #fff;
}

/* For ccgh.bju.edu */
.bju-autoblock-button.bjuccgh {
  color: #ffffff !important;
  background-color: #00bff0 !important;
  font-size: 18px !important;
  padding: 0.5rem 1.5rem 0.5rem 1.5rem;
  border-radius: 3px;
}
.bju-autoblock-button.bjuccgh:hover {
  color: #001b41 !important;
}

/* For bobjonesacademy.net */
.www_bobjonesacademy_net .autoblock-source-text {
  font-size: 16px;
  margin-left: auto !important;
  margin-right: auto !important;
}

/* END SITE-SPECIFIC STYLES FOR AUTOBLOCK  */
